net.sourceforge.pmd.lang.java.dfa

## Class DataFlowFacade

- java.lang.Object
- - net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter
  - - net.sourceforge.pmd.lang.java.dfa.DataFlowFacade

- All Implemented Interfaces:
    JavaParserVisitor

      public class DataFlowFacade
      extends JavaParserVisitorAdapter

  Author:
    raik

    TODO What about initializers? This only processes methods and constructors

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowFacade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeWith(DataFlowHandler dataFlowHandler, ASTCompilationUnit node)`
    `Object` | `visit(ASTConstructorDeclaration node, Object data)`
    `Object` | `visit(ASTMethodDeclaration node, Object data)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.java.ast.JavaParserVisitorAdapter

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowFacade

          public DataFlowFacade()

  - ### Method Detail

    - #### initializeWith

          public void initializeWith(DataFlowHandler dataFlowHandler,
                            ASTCompilationUnit node)

    - #### visit

          public Object visit(ASTMethodDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

    - #### visit

          public Object visit(ASTConstructorDeclaration node,
                     Object data)

      Specified by:
        `visit` in interface `JavaParserVisitor`
      Overrides:
        `visit` in class `JavaParserVisitorAdapter`

Copyright © 2002-2013 InfoEther. All Rights Reserved.